import {createStore} from "vuex";

import user from "./modules/user.js"

export default createStore({
    modules: {
        user
    },
    state: {
        routeLoaded: false, // 菜单和路由是否已经加载
        firstRoute: null, // 第一个路由，用于设置进入主页 的redirect
        menuTree: null,  // 菜单树
    },
    mutations: {
        // 改变菜单和路由的加载状态
        setRouteLoaded(state, loaded) {
            state.routeLoaded = loaded;
        },
        setFirstRoute(state, route) {
            state.firstRoute = route;
        },
        setMenuTree(state, data) {
            state.menuTree = data
        },
    },
    actions: {},
})
